=== debian/changelog ===
libaws (3.3.2-2) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830458.
  * Tell Make that aws-os_lib.ads must be created but never updated, even
    if its timestamp is tricked later for deterministic ALI files.
  * Fix uscan dversionmangle.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:14:33 +0200

libaws (3.3.2-1) unstable; urgency=medium

  * New upstream release. Build with gnat-6 and updated libraries.
    Rename lib and -dev packages per Ada policy.
  * Download from github, where author grants GCC Runtime Library and GNAT
    generics exceptions to GPL-3+.
  * Switch from gnatmake to gprbuild, as the former will soon drop projects.
  * Enable all hardening flags.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Versions: 3.9.8 (no changes).
  * Move sphinx, deduplication tools from Build-Indep to Build-Depends-Indep.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 May 2016 23:12:55 +0200
