=== debian/control ===
Source: libaws
Priority: extra
Section: libs
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-6, dh-ada-library (>= 6.7),
# dh-ada-library 6.7 knows that -dbg packages are optional
 gprbuild (>= 2015-2),
# gprbuild version handling gnat-6
# for build_aws.gpr:
 libgnutls28-dev,
 libldap2-dev,
 libtemplates-parser11.10.1-dev,
 libxmlada-unicode6-dev,
 libxmlada-input-sources6-dev,
 libxmlada-sax6-dev,
 libxmlada-dom6-dev,
 libxmlada-schema6-dev,
 libz-dev,
 pkg-config,
# for ada2wsdl.gpr:
 libasis2015-dev
Build-Depends-Indep: texinfo,
 python-sphinx,
 sphinx-common,
# deduplication in debian/rules
 rdfind, symlinks,
# Called in rules for deterministic PDF timestamps.
 faketime,
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-generic-extra,
 texlive-latex-extra
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaws
Vcs-Mtn: www.ada-france.org org.debian.libaws
Homepage: https://libre.adacore.com/libre

Package: libaws3.3.2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgnutls28-dev,
 libldap2-dev,
 libz-dev,
 ${ada:Depends}
Recommends: libaws-bin (= ${binary:Version}), libaws-doc (= ${source:Version})
Suggests: libjs-prototype
Description: Ada Web Server development files
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
  - A Web parameters module. This module takes care of retrieving the
    forms or URL parameters and to build an associative table for easy
    access.
  - A session server, this is a very important module to be able to
    keep client's data from page to page.
  - Support SOAP to develop Web Services.
  - A tool to generate Web Services stubs/skeletons from a WSDL
    document.
  - A template parser, this module makes it possible to completely
    separate the Web design from the code. No more scripting into your Web
    page.
  - Support for Secure Sockets (HTTPS/SSL), this is based on the GNU TLS
    library.
  - Support for large servers using dispatchers based on URI, request
    methods.
  - Support for virtual hosting (dispatchers based on the host name).
  - Support for server push.
  - A directory browser ready to be used in any application.
  - A status page to get many information about the current AWS server.
  - A log module. Log files keep information about all resources
    requested to the server.
  - Hotplug modules which can be loaded/unloaded dynamically to add
    specific features to a server.
  - A communication API to exchange data between applications using the
    HTTP protocol.
  - A configuration API to tune/change the server parameters without
    recompilation.
  - A client API to retrieve any Web page from a Web site.
  - A Web Page service to build a simple static page server.
  - Support for SMTP, LDAP and Jabber protocols.

Package: libaws-bin
Section: devel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada Web Server utilities
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains utility programs to help develop web applications
 with AWS:
 .
 awsres transforms any text or binary file into an Ada unit which you
 can compile into your application, thereby making your application
 completely independent of any external files (think: embedded)
 .
 ada2wsdl, an ASIS program, reads Ada unit specifications and creates
 descriptions in the Web Service Description Language, so that you can
 advertise your web service application to the world.
 .
 wsdl2aws does the opposite job: it creates an Ada unit (spec and
 skeleton body) conforming to a specified description in WSDL.

Package: libaws3.3.2
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada Web Server shared library
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This is the runtime library for the Ada Web Server.

Package: libaws-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: Ada Web Server documentation
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains the documentation for the Ada Web Server in
 info, ASCII and HTML formats, as well as demos and source code of
 reusable web elements.
