=== debian/watch ===
# This script detects new x.y releases, but not x.y.z branch updates.
# See README.source.

version=4
opts=\
  dversionmangle=s/\.[0-9]+$//,\
  downloadurlmangle=\
    s/tree/archive/;\
    s/$/.zip/ \
https://github.com/AdaCore/aws/branches/all \
/AdaCore/aws/tree/release-(\d+(?:\.\d+)*)
